Bug 159391 - x11/gdm needs hal dep, rc.d fixes
Summary: x11/gdm needs hal dep, rc.d fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-02 20:20 UTC by Doug Barton
Modified: 2012-03-17 18:12 UTC (History)
0 users

See Also:


Attachments
file.diff (2.37 KB, patch)
2011-08-02 20:20 UTC, Doug Barton
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Barton freebsd_committer 2011-08-02 20:20:10 UTC
	The rc.d script calls lshal which is provided by hal, so the
	port needs to have that dependency. (Noticed when installing
	gdm as part of xfce4.)

	The rc.d script itself has some problems, which are addressed
	in the following patch:

	1. If gnome_enable is not set, gdm_enable will remain undefined.
	2. Change the order of calling load_rc_config() and setting the
	   default variables to the typical order for ports
	3. Not only is the checkyesno for gdm_enable in gdm_start() not
	   needed, it causes problems if, for example the user does
	   '/usr/local/etc/rc.d/gdm onestart' from the command line.
	4. Switch to using 'unlink' instead of 'rm -f'
	5. If lshal does not exist, error out instead of looping
	6. Mark a variable local

Fix: Apply the following patch:
How-To-Repeat: 	DNA
Comment 1 Edwin Groothuis freebsd_committer 2011-08-02 20:20:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-03-16 03:45:32 UTC
mezz        2012-03-16 03:45:21 UTC

  FreeBSD ports repository

  Modified files:
    x11/gdm              Makefile 
    x11/gdm/files        gdm.in 
  Log:
  Fix the rc.d script:
  
   1. If gnome_enable is not set, gdm_enable will remain undefined.
   2. Change the order of calling load_rc_config() and setting the
   default variables to the typical order for ports
   3. Not only is the checkyesno for gdm_enable in gdm_start() not
   needed, it causes problems if, for example the user does
   '/usr/local/etc/rc.d/gdm onestart' from the command line.
   4. Switch to using 'unlink' instead of 'rm -f'
   5. If lshal does not exist, error out instead of looping
   6. Mark a variable local
  
  Bump the PORTREVISION.
  
  PR:             ports/159391
  Submitted by:   dougb
  Feature safe:   yes
  
  Revision  Changes    Path
  1.141     +1 -1      ports/x11/gdm/Makefile
  1.22      +17 -12    ports/x11/gdm/files/gdm.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jeremy Messenger freebsd_committer 2012-03-17 18:12:41 UTC
State Changed
From-To: open->closed

Committed, thanks!